| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Attributes | List of all members
wxExecuteEnv Struct Reference
Functions and Macros by Category » Process Control

`#include <wx/utils.h>`

## Detailed Description

This structure can optionally be passed to wxExecute() to specify additional options to use for the child process.

Since
  2.9.2

Include file:

    #include <wx/utils.h>

## Public Attributes

wxString | cwd
| The initial working directory for the new process. More...
wxEnvVariableHashMap | env
| The environment variable map. More...

## Member Data Documentation

wxString wxExecuteEnv::cwd

The initial working directory for the new process.

If this field is empty, the current working directory of this process is used.

wxEnvVariableHashMap wxExecuteEnv::env

The environment variable map.

If the map is empty, the environment variables of the current process are also used for the child one, otherwise only the variables defined in this map are used.